# 經紀商席位

`WS` `request · cmd 16`

該接口用於獲取券商席位 ID 數據 (可每天同步一次)。

```protobuf
message ParticipantBrokerIdsResponse {
  repeated ParticipantInfo participant_broker_numbers = 1;
}

message ParticipantInfo {
  repeated int32 broker_ids = 1;
  string participant_name_cn = 2;
  string participant_name_en = 3;
  string participant_name_hk = 4;
}
```

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `participant_broker_numbers` | object[] | No | 券商席位 |
| `└ broker_ids` | int32[] | No | 券商對應的多個席位 ID |
| `└ participant_name_cn` | string | No | 券商名稱 (簡) |
| `└ participant_name_en` | string | No | 券商名稱 (英) |
| `└ participant_name_hk` | string | No | 券商名稱 (繁) |

## Response JSON Example

```json
{
  "participant_broker_numbers": [
    {
      "broker_ids": [
        7738,
        7739
      ],
      "participant_name_cn": "华兴金融 (香港)",
      "participant_name_en": "China Renaissance(HK)",
      "participant_name_hk": "華興金融 (香港)"
    }
  ]
}
```
